Subject: Re: [vwrap] is the group still interested in LLSD or DSD?
From: Morgaine <[email-masked]>
To: Dzonatas Sol <[email-masked]>
Cc: [email-masked], Meadhbh Hamrick <[email-masked]>
Date: Wed, 4 May 2011 17:06:36 +0100
List-Id: Virtual World Region Agent Protocol - IETF working group <vwrap.ietf.org>

I gather that you don't understand the type model of LLSD + serializations
then.

The ADT defines the elementary data types and composite resource types.  The
serializations then implement both of these for transport on-the-wire.
There is nothing that one specific serialization like XML can do to to
extend the elementary data types provided by the ADT.

Your answers simply don't address the non-extensibility and non-flexibility
of elementary types.  The XML tail cannot wag the ADT dog.  The relationship
is the other way around, it's the ADT that defines the elementary types,
which are transported in all serializations.

You keep referring to the flexibility of XML, but that is irrelevant to the
ADT.

Morgaine.

===================

On Wed, May 4, 2011 at 4:55 PM, Dzonatas Sol <[email-masked]> wrote:

> It doesn't block "evolution of transported elementary types", as the
> transport layer is underneath the application layer. As demonstrated (and
> proven) with flow in XML, we can easily keep the high-level types in the
> higher layer. LLSD is merely the high-level types, not overall primitives.
>
>
> On 05/04/2011 08:49 AM, Morgaine wrote:
>
>> That's a far clearer question than you asked initially, and so its easier
>> to give a specific answer.� (Indeed, I already did before, in the second
>> part of my response.)
>>
>> While I don't know exactly what DSD is (an RFC would be excellent!), if
>> it's just LLSD with another name then the type system of its underlying ADT
>> is not extensible, and therefore it won't support new types going forward
>> into the future.� From my perspective, a non-extensible type system is *not
>> sufficient* for VWRAP because it blocks the evolution of transported
>> elementary types.
>>
>> And LLSD is actually worse than merely non-extensible, because it isn't
>> flexible either, especially in providing just a single integer type.� That's
>> not enough.
>>
>> We need to design for tomorrow, not just for today.
>>
>>
>> Morgaine.
>>
>
> --
> --- https://twitter.com/Dzonatas_Sol ---
> Web Development, Software Engineering, Virtual Reality, Consultant
>
>